<div class="mdl-grid">
  <div class="mdl-cell mdl-cell--3-col"></div>
  <div class="mdl-cell mdl-cell--6-col">
    <div class="mdl-card mdl-shadow--2dp mdl-textfield--full-width mdl-typography--text-center">
      <div class="mdl-card__title">
        <h2 class="mdl-card__title-text">Instrukcja zadania</h2>
      </div>
      <div class="mdl-card__supporting-text">
        <p>
          1. Stworzenie komponentu głównego i ewentualnie komponentów dodatkowych, które wyświetlą dane w formie listy produktów
        </p>
        <p>
          2. Każdy kafelek z produktami powinien zawierać zdjęcie produktu, cenę, cenę przekreśloną, nazwę, ilość, atrybuty dodatkowe oraz przyciski funkcyjne (dodaj do koszyka, dodaj do ulubionych, usuń/ukryj produkt), atrybuty są albo pojedyncze albo w liczbie mnogiej, oddzielone są separatorem "|" i trzeba je rozdzielić, zdjęcia produktów znajdują się w folderze /assets/products
        </p>
        <p>
          3. Produkty do listy produktów muszą być zaciągane poprzez zapytanie asynchroniczne z prowizorycznego api (url do zapytania: /api/products.json) a następnie załadowane do localStorage tak by zapytanie wykonywało się tylko raz podczas otwierania strony
        </p>
        <p>
          4. Produkty na liście posiadają trzy przyciski funkcyjne, po kliknięciu w zależności od rodzaju akcji produkt powinien się dodać do: localStorage koszyka, localStorage ulubionych albo zostać usunięty z listy produktów w localStorage
        </p>
        <p>
          5. Na podstronach koszyka i ulubionych przycisk usuń ma usuwać produkt z miejsca w którym aktualnie się znajduje
        </p>
        <p>
          6. Po skończeniu zadania proszę o utworzeniu publicznego repozytorium na gitlabie oraz wypushowaniu wszystkich zmian na to repozytorium, a następnie przesłanie linku na maila maciej@sky-shop.pl
        </p>
      </div>
    </div>
  </div>
  <div class="mdl-cell mdl-cell--3-col"></div>
</div>
